<?xml version="1.0" encoding="utf-8"?>

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_centerHorizontal="true"
    android:layout_marginHorizontal="8dp"
    android:layout_marginVertical="8dp"
    android:gravity="center"
    android:orientation="vertical"
    android:theme="@style/AppThemeMaterial">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tv_ganti_alamat"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="8dp"
            android:fontFamily="@font/roboto"
            android:gravity="center"
            android:text="Ganti Alamat"
            android:textColor="@color/colorBlack"
            android:textSize="16sp"
            android:textStyle="bold" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/outlinedTextField_nama_alamat"
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
            android:layout_width="270dp"
            android:layout_height="wrap_content"
            android:hint="Nama Alamat">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/et_nama_alamat"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </com.google.android.material.textfield.TextInputLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/outlinedTextField_firstname"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:layout_weight="0.5"
                android:layout_marginRight="8dp"
                android:hint="First Name">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/et_fisrt_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/outlinedTextField_last"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:layout_weight="0.5"
                android:hint="Last Name">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/et_last_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </com.google.android.material.textfield.TextInputLayout>

        </LinearLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/outlinedTextField_no_hp"
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
            android:layout_width="270dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:hint="Nomor HP">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/et_no_hp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="number" />
        </com.google.android.material.textfield.TextInputLayout>


        <TextView
            android:id="@+id/tv_pilih_negara"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:text="Pilih Negara" />

        <com.google.android.material.textfield.TextInputLayout
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="Negara">

            <AutoCompleteTextView
                android:id="@+id/dropdown_negara"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:enabled="false" />

        </com.google.android.material.textfield.TextInputLayout>

        <TextView
            android:id="@+id/tv_pilihprovinsi"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:text="Pilih Provinsi" />

        <com.google.android.material.textfield.TextInputLayout
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="Provinsi">

            <AutoCompleteTextView
                android:id="@+id/dropdown_provinsi"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:enabled="false" />

        </com.google.android.material.textfield.TextInputLayout>


        <TextView
            android:id="@+id/tv_pilihkota"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:text="Pilih Kota" />

        <com.google.android.material.textfield.TextInputLayout
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:hint="Pilih Kota">

            <AutoCompleteTextView
                android:id="@+id/dropdown_kota"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:enabled="false" />

        </com.google.android.material.textfield.TextInputLayout>

        <TextView
            android:id="@+id/tv_pilihpos"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:text="Kode Pos" />

        <com.google.android.material.textfield.TextInputLayout
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:hint="Kode Pos">

            <AutoCompleteTextView
                android:id="@+id/dropdown_kodepos"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:enabled="false" />

        </com.google.android.material.textfield.TextInputLayout>
    </LinearLayout>

    <Button
        android:id="@+id/button"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:background="@color/colorGreenApp"
        android:text="Terapkan"
        android:textColor="@color/colorWhite" />

</LinearLayout>